
extern double note_rates[96];
extern int sequence[16];

typedef struct {
   int si,r;
   int vol;
} harmonic;

extern harmonic overtones[16];

void chaos(void)
{
   int i;
   
   for(i=0; i<16; i++) {
      sequence[i]= (int)((double)64 * note_rates[72+ (rand()%12)]);
   }
}

void chaos_harmonics(void)
{
   int i;
   
   for(i=0; i<16; i++) {
      overtones[i].si=0;
      overtones[i].r=0;
      overtones[i].vol= rand()%32;
   }
}

void clear_harmonics(void)
{
   int i;
   
   for(i=0; i<16; i++) {
      overtones[i].si=0;
      overtones[i].r=0;
      overtones[i].vol = (!i)?24:0;
   }
}  
